<?php
@session_start();
  $vg_login=$_SESSION["usuario"];
   $vg_empresa=$_SESSION["empresa"];
  if($vg_login<>""){}
 else
  {echo "<script>";
   echo "window.location='../index.php';";
   echo "</script>";
  }	

include "../valida_permisos.php";
$vg_programa = F_programa();
include "../seguridad.php";
$sql_entrada= mysqli_query($conseg,"select login,nombre,perfil,programa,cedula,pais from permiso     
						where login='".$vg_login."'  and programa=".$vg_programa."");
while($datos= mysqli_fetch_row($sql_entrada))
		{ $vg_nombre=$datos[1];
		  $vg_perfil=$datos[2];				
		} 
//permisos a formularios
$modulo="Parametros_Empresa";
$permisos=validar_permiso($vg_login,$modulo,$vg_perfil,$vg_programa);
include "../permisos.php";
$valpermiso=F_permiso($permisos);

if($valpermiso[0]==1){}
else
{echo "<script>";
echo "window.location='../erroracceso.php?formulario=Parametros_Empresa';";
echo "</script>";
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>PARAMETROS</title>
<LINK href="../general.css" type=text/css rel=stylesheet>

  <script src="../js/jquery.min.js"></script>
  <link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
  <script src="../bootstrap/js/bootstrap.min.js"></script>
  <link rel="icon" type="image/png" href="../sige.ico"/>
  
      <!-- DataTables -->
  <link rel="stylesheet" href="../plugins1/datatables-bs4/css/dataTables.bootstrap4.min.css">
  <link rel="stylesheet" href="../plugins1/datatables-responsive/css/responsive.bootstrap4.min.css">
  <link rel="stylesheet" href="../plugins1/datatables-buttons/css/buttons.bootstrap4.min.css">
 
</head>
<body>
<?php
 


$sql_user= mysqli_query($conseg,"select email,cargo,nombre,apellido,tipo,cliente from usuario   where login='".$vg_login."'");
while($datos= mysqli_fetch_row($sql_user))
	{ $vg_email=$datos[0];
	  $vg_cargo=$datos[1];
	  $vg_nombre=$datos[2]." ".$datos[3];
	}

$horasistema=date("H:i:s");
$fechasis=date("Y-m-d");
$fecha=date("Y-m-d");

include "../conexion.php";

$rs_entidad=mysqli_query($conexion,"SELECT id,nombre FROM empresa_entidad
										 union select 0,'' 
										from empresa_entidad order by nombre asc");
										

$entidad="";$usuario="";$cedularp="";$claveingresorl="";$clavefirmarl="";$cedularf="";$claveingresorf="";$clavefirmarf="";$observacion="";
$empresa=$_REQUEST["empresa"];
	
if($_REQUEST["id"]>=1)
{    $id=$_REQUEST["id"];
  		$sql_datosrs=mysqli_query($conexion,"SELECT 	entidad,usuario,cedularp,claveingresorl,clavefirmarl,cedularf,claveingresorf,clavefirmarf,observacion
  									   from empresa_entidad_clave
									 where id='".$id."'");
		  while($datos= mysqli_fetch_row($sql_datosrs))
			{ 
			 $entidad=$datos[0];
			 $usuario=$datos[1];
			 $cedularp=$datos[2];
			 $claveingresorl=$datos[3];
			 $clavefirmarl=$datos[4];
			 $cedularf=$datos[5];
			 $claveingresorf=$datos[6];
			 $clavefirmarf=$datos[7];
			 $observacion=$datos[8];
			}
}

$rs_empresa=mysqli_query($conexion,"SELECT id,nombre FROM empresa
										 union select 0,'' 
										from empresa order by nombre asc");
										

if(isset($_REQUEST['oculto']))
  { 
	$id=$_REQUEST['id'];						
	$entidad=$_REQUEST['entidad'];						
	$usuario=$_REQUEST['usuario'];						
	$cedularp=$_REQUEST['cedularp'];						
	$claveingresorl=$_REQUEST['claveingresorl'];						
	$clavefirmarl=$_REQUEST['clavefirmarl'];						
	$cedularf=$_REQUEST['cedularf'];						
	$claveingresorf=$_REQUEST['claveingresorf'];						
	$clavefirmarf=$_REQUEST['clavefirmarf'];	
	$observacion=$_REQUEST['observacion'];	
	
	if($_REQUEST["oguardar"]==1)
	 {
		 if($entidad>0) 
		  {
				 $sql_insert=mysqli_query($conexion,"insert into empresa_entidad_clave (empresa,entidad,usuario,cedularp,claveingresorl,clavefirmarl,
				 					cedularf,claveingresorf,clavefirmarf,observacion)
										  values('".$empresa."',
										  		 '".$entidad."','".$usuario."',
												 '".$cedularp."','".$claveingresorl."','".$clavefirmarl."',
												 '".$cedularf."','".$claveingresorf."','".$clavefirmarf."','".$observacion."')"); 
				 if($sql_insert)
				   {
					echo "<script>alert('Se registro la entiodad por la empresa');</script>";
				   }	
				 else {echo "<script>alert('Error al registrar la entidad por lsa empresa');</script>";}				
		 }
		 else {echo "<script>alert('Digite la Informacion Requerida');</script>";}	 
	 }
	 
	 if($_REQUEST["omodificar"]==1)
	 {
		 if($entidad>0) 
		  {
				  $sql_insert=mysqli_query($conexion,"update empresa_entidad_clave set 
														entidad='".$entidad."',
														usuario='".$usuario."',
														cedularp='".$cedularp."',
														claveingresorl='".$claveingresorl."',
														clavefirmarl='".$clavefirmarl."',
														cedularf='".$cedularf."',
														claveingresorf='".$claveingresorf."',
														clavefirmarf='".$clavefirmarf."',
														observacion='".$observacion."'
													 where id='".$id."'"); 
				 if($sql_insert){echo "<script>alert('Se modifico el registro');</script>";}	
				 else {echo "<script>alert('Error al modificar el registro');</script>";}				
		 }
		 else {echo "<script>alert('Digite la Informacion Requerida');</script>";}	 
	 }
	 
	 
	 if($_REQUEST["onuevo"]==1)
	 {
				$entidad="";$usuario="";$cedularp="";$claveingresorl="";$clavefirmarl="";$cedularf="";$claveingresorf="";$clavefirmarf="";$observacion="";


	 }
	 
	  if($_REQUEST["obusca"]==1)
	 {
		  $sql_datosrs=mysqli_query($conexion,"SELECT 	entidad,usuario,cedularp,claveingresorl,clavefirmarl,cedularf,claveingresorf,clavefirmarf,observacion
  									   from empresa_entidad_clave
									 where id='".$id."'");
		  while($datos= mysqli_fetch_row($sql_datosrs))
			{ 
			 $entidad=$datos[0];
			 $usuario=$datos[1];
			 $cedularp=$datos[2];
			 $claveingresorl=$datos[3];
			 $clavefirmarl=$datos[4];
			 $cedularf=$datos[5];
			 $claveingresorf=$datos[6];
			 $clavefirmarf=$datos[7];
			 $observacion=$datos[8];
			}
	 }




	
  }	 
?>
<form name="frmalumnos" method="post" action="" >
             <input name="id" type="hidden"  id="id"    value="<?php echo $id; ?>"  />

 <center>
    <div class="panel panel-primary">
      <div class="panel-heading">CLAVE CLIENTES</div>
       <div align="center">
		<table width="99%" border="0" cellpadding="0" cellspacing="0" bordercolor="#999999" >
          <tr>
            <td width="11%" height="-10"><span class="texto">Entidad</span></td>
            <td width="33%">
            <select name="entidad" id="entidad"
                onfocus="this.style.background='#ccffff'" onblur="this.style.background='#FFFFDD'"
                class="form-control"  style="width: 100%">
              <?php while ($rowba=mysqli_fetch_array($rs_entidad))
									{
									 if ($entidad==$rowba['id'])
										{echo "<option value=".$rowba['id']." selected>".substr($rowba['nombre'],0,40)."</option>";}
									 else
										{echo "<option value=".$rowba['id'].">".substr($rowba['nombre'],0,40)."</option>";}		
									}
							 ?>
            </select>
            <td width="15%"><span class="texto">Usuario</span></td>
            <td width="41%">
              <input name="usuario" type="text"  id="usuario"    value="<?php echo $usuario; ?>"              
              style="width: 100%" class="form-control"/>           </td>
          </tr>
          <tr>
            <td height="-5" colspan="4"><table width="100%" border="0">
              <tbody>
                <tr>
                  <td width="6%"><span class="texto">Ced. Rep Legal</span></td>
                  <td width="20%"><input name="cedularp" type="text"  id="cedularp"    value="<?php echo $cedularp; ?>"              
              style="width: 100%" class="form-control"/></td>
                  <td width="8%"><span class="texto">Clave Ingreso</span></td>
                  <td width="20%"><input name="claveingresorl" type="text"  id="claveingresorl"    value="<?php echo $claveingresorl; ?>"              
              style="width: 100%" class="form-control"/></td>
                  <td width="7%"><span class="texto">Clave Firma</span></td>
                  <td width="20%"><input name="clavefirmarl" type="text"  id="clavefirmarl"    value="<?php echo $clavefirmarl; ?>"              
              style="width: 100%" class="form-control"/></td>
                </tr>
              </tbody>
            </table></td>
          </tr>
          <tr>
            <td height="-2" colspan="4"><table width="100%" border="0" id="0">
              <tbody>
                <tr>
                  <td width="6%"><span class="texto">Ced. Revisor Fiscal</span></td>
                  <td width="20%"><input name="cedularf" type="text"  id="cedularf"    value="<?php echo $cedularf; ?>"              
              style="width: 100%" class="form-control"/></td>
                  <td width="8%"><span class="texto">Clave Ingreso</span></td>
                  <td width="20%"><input name="claveingresorf" type="text"  id="claveingresorf"    value="<?php echo $claveingresorf; ?>"              
              style="width: 100%" class="form-control"/></td>
                  <td width="7%"><span class="texto">Clave Firma</span></td>
                  <td width="20%"><input name="clavefirmarf" type="text"  id="clavefirmarf"    value="<?php echo $clavefirmarf; ?>"              
              style="width: 100%" class="form-control"/></td>
                </tr>
              </tbody>
            </table></td>
          </tr>
          <tr>
            <td height="-1" colspan="5" align="center"><table width="100%" border="0">
              <tbody>
                <tr>
                  <td width="9%"><span class="texto">Observacion</span></td>
                  <td width="91%"><textarea name="observacion" rows="2" 
                  id="cliente" onfocus="this.style.background='#ccffff'" onblur="this.style.background='#ffffff'"
                  class="form-control"  style="width: 100%"><?php echo $observacion; ?></textarea></td>
                </tr>
              </tbody>
            </table></td>
          </tr>
          <tr>
            <td height="-2" colspan="5" align="center"><span class="texto">
              <input name="nuevo" type="submit"  id="nuevo"  value="Nuevo"    onclick="onuevo.value=1;;" class="btn btn-primary" />
              <input name="buscar" type="hidden"  id="buscar"  value="Buscar"   onclick="obusca.value=1;" class="btn btn-primary" />
              <input name="guardar" type="submit"  id="guardar"  value="Guardar" 
			      onclick="oguardar.value=1;obusca.value=1;" class="btn btn-primary" />
              <input name="modificar" type="submit"  id="modificar"  value="Modificar" 
              onclick="omodificar.value=1;obusca.value=1;" class="btn btn-primary" />
              <input type="hidden" name="oculto" />
              <input name="obusca" type="hidden" id="obusca" />
              <input name="oguardar" type="hidden" id="oguardar" />
              <input name="omodificar" type="hidden" id="omodificar" />
              <input name="onuevo" type="hidden" id="onuevo" />
            </span></td>
          </tr>
        </table>
   </div>
 </div>
 </center>  

<?php

$c=0;
	echo "<center> <table width='100%' border='1' cellspacing='0' cellpadding='0'  bordercolor='#000000'  id='example1' class='table table-bordered table-striped' style='font-size:12px'>";
	echo "<thead><tr >";
	echo "<th class='btn-primary' align='center'>Entidad</th>";
	echo "<th class='btn-primary' align='center'>Usuario</th>";
	echo "<th class='btn-primary' align='center'>Cedula RP</th>";	
	echo "<th class='btn-primary' align='center'>Clave Ingreso RP</th>";	
	echo "<th class='btn-primary' align='center'>Clave Firma RP</th>";	
	echo "<th class='btn-primary' align='center'>Cedula RF</th>";	
	echo "<th class='btn-primary' align='center'>Clave Ingreso RF</th>";	
	echo "<th class='btn-primary' align='center'>Clave Firma RF</th>";	
	echo "<th class='btn-primary' align='center'>Observacion</th>";	
	echo "</tr></thead><tbody>";	
	
	 $sql_datosrs=mysqli_query($conexion,"SELECT entidad,usuario,cedularp,claveingresorl,clavefirmarl,cedularf,claveingresorf,clavefirmarf,id,observacion
  									   from empresa_entidad_clave 
  									   order by id asc");
  while($datos= mysqli_fetch_row($sql_datosrs))
    { 
		 $entidad=$datos[0];
		 $usuario=$datos[1];
		 $cedularp=$datos[2];
		 $claveingresorl=$datos[3];
		 $clavefirmarl=$datos[4];
		 $cedularf=$datos[5];
		 $claveingresorf=$datos[6];
		 $clavefirmarf=$datos[7];
		 $id=$datos[8];
		 $observacion=$datos[9];
		   
		   $sql_datosee=mysqli_query($conexion,"SELECT 	nombre   from empresa_entidad where id='".$entidad."'");
		  while($datosee= mysqli_fetch_row($sql_datosee))	{ $nentidad=$datosee[0];}
			 
		   echo " <tr>";
			 echo "<td><a href='empresa_entidad.php?id=$id&empresa=$empresa'>".$nentidad."</a></td>";
			 echo "<td>".$usuario."</td>";
			 echo "<td>".$cedularp."</td>";
			 echo "<td>".$claveingresorl."</td>";
			 echo "<td>".$clavefirmarl."</td>";
			 echo "<td>".$cedularf."</td>";
			 echo "<td>".$claveingresorf."</td>";
			 echo "<td>".$clavefirmarf."</td>";
			 echo "<td>".$observacion."</td>";
		  echo "</tr>";
				$c=$c+1;
				
	 }
 echo "</tbody></table></center>"; 
	

?>


<!-- jQuery -->
<script src="../plugins1/jquery/jquery.min.js"></script>
<script src="../plugins1/bootstrap/js/bootstrap.bundle.min.js"></script>
<script src="../plugins1/datatables/jquery.dataTables.min.js"></script>
<script src="../plugins1/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
<script src="../plugins1/datatables-responsive/js/dataTables.responsive.min.js"></script>
<script src="../plugins1/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
<script src="../plugins1/datatables-buttons/js/dataTables.buttons.min.js"></script>
<script src="../plugins1/datatables-buttons/js/buttons.bootstrap4.min.js"></script>
<script src="../plugins1/jszip/jszip.min.js"></script>
<script src="../plugins1/pdfmake/pdfmake.min.js"></script>
<script src="../plugins1/pdfmake/vfs_fonts.js"></script>
<script src="../plugins1/datatables-buttons/js/buttons.html5.min.js"></script>
<script src="../plugins1/datatables-buttons/js/buttons.print.min.js"></script>
<script src="../plugins1/datatables-buttons/js/buttons.colVis.min.js"></script>

<script>
  $(function () {
    $("#example1").DataTable({
      "responsive": true, "lengthChange": false, "autoWidth": false,
      "buttons": ["excel", "colvis"]
    }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
  });
  
  
</script>
 
</form>
</body>
</html>    
